%global dlrn_nvr oslo.cache-2.7.1-1.20220727175242.d0252f6
%global dlrn 1
%define upstream_version 2.7.1
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x01527a34f0d0080f8a5db8d6eb6c5df21b4b6363
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global with_doc 0

%global pypi_name oslo.cache
%global pkg_name oslo-cache

%global common_desc \
oslo.cache aims to provide a generic caching mechanism for OpenStack projects \
by wrapping the dogpile.cache library. The dogpile.cache library provides \
support memoization, key value storage and interfaces to common caching \
backends such as Memcached.

Name:           python-oslo-cache
Version: 2.7.1
Release: 1.20220727175242.d0252f6%{?dist}
Summary:        Cache storage for Openstack projects

License:        ASL 2.0
URL:            http://launchpad.net/%{pypi_name}
Source0: oslo.cache-2.7.1-1.20220727175242.d0252f6.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=d0252f62f3b61253d0bcd953329f7b52e53c6e81

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif
BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

BuildRequires:  git-core

%package -n python3-%{pkg_name}
Summary:        Cache storage for Openstack projects
%{?python_provide:%python_provide python3-%{pkg_name}}

BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-urllib3
# Required for tests
BuildRequires:  python3-hacking
BuildRequires:  python3-mock
BuildRequires:  python3-oslotest
BuildRequires:  python3-oslo-log
BuildRequires:  python3-stestr
BuildRequires:  python3-dogpile-cache >= 0.6.2
BuildRequires:  python3-pymemcache >= 3.5.0
# Required to compile translation files
BuildRequires:  python3-babel
BuildRequires:  python3-memcached

Requires:       python3-etcd3gw >= 0.2.0
Requires:       python3-oslo-config >= 8.1.0
Requires:       python3-oslo-i18n >= 5.0.0
Requires:       python3-oslo-log >= 4.2.1
Requires:       python3-oslo-utils >= 4.2.0
Requires:       python3-dogpile-cache >= 1.1.2
Requires:       python3-memcached
Requires:       python-%{pkg_name}-lang = %{version}-%{release}


%description -n python3-%{pkg_name}
%{common_desc}

%if 0%{?with_doc}
%package -n python-%{pkg_name}-doc
Summary:        Documentation for the OpenStack Oslo Cache library

BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinxcontrib-apidoc
BuildRequires:  python3-oslo-config
BuildRequires:  python3-openstackdocstheme
BuildRequires:  python3-etcd3gw
BuildRequires:  python3-fixtures

%description -n python-%{pkg_name}-doc
Documentation for the OpenStack Oslo cache library.
%endif

%package  -n python3-%{pkg_name}-tests
Summary:        Tests for the OpenStack Oslo Cache library

Requires:  python3-%{pkg_name} = %{version}-%{release}
Requires:  python3-hacking
Requires:  python3-mock
Requires:  python3-oslotest
Requires:  python3-stestr

%description -n python3-%{pkg_name}-tests
Tests for the OpenStack Oslo Cache library

%package  -n python-%{pkg_name}-lang
Summary:   Translation files for Oslo cache library

%description -n python-%{pkg_name}-lang
Translation files for Oslo cache library

%description
%{common_desc}


%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{pypi_name}-%{upstream_version} -S git
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# Let RPM handle the dependencies
sed -i '/setup_requires/d; /install_requires/d; /dependency_links/d' setup.py
rm -f {test-,}requirements.txt


%build
%{py3_build}

%if 0%{?with_doc}
#doc
sphinx-build -b html doc/source doc/build/html
# Fix hidden-file-or-dir warnings
rm -fr doc/build/html/.buildinfo
%endif
# Generate i18n files
python3 setup.py compile_catalog -d build/lib/oslo_cache/locale --domain oslo_cache

%install
%{py3_install}
# Install i18n .mo files (.po and .pot are not required)
install -d -m 755 %{buildroot}%{_datadir}
rm -f %{buildroot}%{python3_sitelib}/oslo_cache/locale/*/LC_*/oslo_cache*po
rm -f %{buildroot}%{python3_sitelib}/oslo_cache/locale/*pot
mv %{buildroot}%{python3_sitelib}/oslo_cache/locale %{buildroot}%{_datadir}/locale

# Find language files
%find_lang oslo_cache --all-name

%check
PYTHON=python3 stestr --test-path ./oslo_cache/tests/unit run --black-regex 'oslo_cache.tests.unit.test_cache_backend_mongo'

%files -n python3-%{pkg_name}
%license LICENSE
%doc AUTHORS CONTRIBUTING.rst README.rst PKG-INFO ChangeLog
%{python3_sitelib}/oslo_cache
%{python3_sitelib}/%{pypi_name}-%{upstream_version}-py%{python3_version}.egg-info
%exclude %{python3_sitelib}/oslo_cache/tests

%if 0%{?with_doc}
%files -n python-%{pkg_name}-doc
%doc doc/build/html
%license LICENSE
%endif

%files -n python3-%{pkg_name}-tests
%{python3_sitelib}/oslo_cache/tests

%files -n python-%{pkg_name}-lang -f oslo_cache.lang
%license LICENSE

%changelog
* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 2.7.1-1.20220727175242.d0252f6
- Update patches

* Thu Jul 14 2022 OSP Prod Chain <dev-null@redhat.com> 2.7.1-1.20220714115145.d0252f6
- Update patches

* Wed Jul 13 2022 OSP Prod Chain <dev-null@redhat.com> 2.7.1-1.20220713075107.d0252f6
- Update patches

* Wed Mar 02 2022 OSP Prod Chain <dev-null@redhat.com> 2.7.1-0.20220302082341.d0252f6
- Update patches

* Mon Feb 28 2022 OSP Prod Chain <dev-null@redhat.com> 2.7.1-0.20220228192236.d0252f6
- Update patches

* Mon Feb 28 2022 OSP Prod Chain <dev-null@redhat.com> 2.7.1-0.20220228151851.d0252f6
- Update patches

* Sun Feb 27 2022 OSP Prod Chain <dev-null@redhat.com> 2.7.1-0.20220227084932.d0252f6
- Update patches

* Fri Feb 25 2022 OSP Prod Chain <dev-null@redhat.com> 2.7.1-0.20220225091919.d0252f6
- Update patches
- Expose pymemcache's HashClient public params
- Add retry mechanisms to oslo.cache
- Add socket keepalive options to oslo.cache
- Dropping lower constraints testing.
- Don't import module "etcd3gw" if etcd3gw backend is not used.
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby
- Move flake8 as a pre-commit local target.

* Thu Feb 24 2022 OSP Prod Chain <dev-null@redhat.com> 2.7.0-0.20220224151846.062d29b
- Update patches

* Thu Feb 17 2022 OSP Prod Chain <dev-null@redhat.com> 2.7.0-0.20220217082223.062d29b
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 2.7.0-0.20210527200937.062d29b
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 2.7.0-1
- Update patches

* Sat Mar 13 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Feb 10 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add dogpile.cache.pymemcache backend
- Do not hardcode flush_on_reconnect, move to oslo.cache config
- Dropping lower constraints testing
- Imported Translations from Zanata
- Add Python3 wallaby unit tests
- Update master for stable/victoria

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Oct 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Sep 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Adding functional tests for memcache_pool backend
- Add Memcached functional tests to gate

* Tue Sep 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add python-binary-memcached to support SASL
- Drop hard choice on py38 for functional tests
- Bump dogpile.cache's version for Memcached TLS support
- Add pre-commit to pep8 gate
- Apply fixes for pre-commit compliance in all code
- Uses commit hash instead of version tags in pre-commit
- Removes pre-commit hooks from Lucas-C
- Bump bandit version
- Introducing usage of pre-commit
- Align contributing doc with oslo's policy

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update lower-constraints versions
- Add TLS context creation from config
- Add TLS options to oslo.cache
- Fix pygments style

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop to use the __future__ module.

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Refactoring functional tests based on standard usages
- Switch to newer openstackdocstheme and reno versions
- Remove the unused coding style modules
- Fix pep8 failure
- Adding functional tests
- Small cleanups in tox.ini
- Remove unneeded babel.cfg etc
- Remove six
- Switch to Victoria tests
- [doc] tell to prefix ipv6 hosts with inet6
- Add release notes links to doc index
- Imported Translations from Zanata
- Update master for stable/ussuri

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use unittest.mock instead of third party mock
- Update hacking for Python3

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add memcache_pool backend job
- Revert "Switch from python-memcached to pymemcache."
- Remove dogpile kwarg test
- Fix python2 syntaxe in doc
- Fix pymemcache release note python package name
- Switch from python-memcached to pymemcache.
- trivial: Cleanup tox.ini
- remove outdated header

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Drop python 2.7 support and testing
- Ignore reno artifacts
- tox: Trivial cleanup

* Wed Dec 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Imported Translations from Zanata

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tox: Keeping going with docs
- Merge "Update master for stable/train"
- Update master for stable/train
- Update memcached configuration help text

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Oct 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
